%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:		nfoview
Version:	1.28.1
Release:	%mkrel 1
Summary:	Simple viewer for NFO files
License:	GPLv3+
Group:		File tools
URL:		https://otsaloma.io/nfoview/
Source0:	https://github.com/otsaloma/nfoview/archive/%{version}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	python3
BuildRequires:	intltool
Requires:	python3-gobject3
Recommends:	terminus-font

%description
NFO Viewer is a simple viewer for NFO files, which are "ASCII" art in
the CP437 codepage. The advantages of using NFO Viewer instead of a
text editor are preset font and encoding settings, automatic window
size and clickable hyperlinks.

%prep
%setup -q

%build
%py3_build

%install
%py3_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/nfoview
%{python3_sitelib}/nfoview*
%{_datadir}/applications/io.otsaloma.nfoview.desktop
%{_mandir}/man1/nfoview.1*
%{_datadir}/nfoview/
%{_datadir}/icons/hicolor
%{_datadir}/metainfo/io.otsaloma.nfoview.appdata.xml


%changelog
* Mon Aug 29 2022 TerryN <terryn94 at gmail.com>  1.28.1-1pclos2022
- update and rebuild for python 3.10

* Wed Apr 15 2020 tex - 1.27.1-1pclos2020
- new version

* Thu Aug 29 2019 tex 1.27-1pclos2019
- new version 1.27
